Extending Qt Creator Manual | GeneratorScriptArgument

Extending Qt Creator Manual 4.11.0

# GeneratorScriptArgument Class

(ProjectExplorer::Internal::GeneratorScriptArgument)

The GeneratorScriptArgument class provides an argument to a custom wizard generator script. More...

Header: | #include <GeneratorScriptArgument>

- List of all members, including inherited members

## Public Types

enum | Flags { OmitEmpty, WriteFile }

## Public Functions

| GeneratorScriptArgument(const int &value = ...)

## Public Variables

unsigned int | flags
int | value

## Detailed Description

The GeneratorScriptArgument class provides an argument to a custom wizard generator script.

Contains placeholders to be replaced by field values or file names as in `'--class-name=%ClassName%'` or `'--description=%Description%'`.

See also ProjectExplorer::CustomWizard.

## Member Type Documentation

### enum GeneratorScriptArgument::Flags

## Member Function Documentation

### GeneratorScriptArgument::GeneratorScriptArgument(const int &value = ...)

Default constructs an instance of GeneratorScriptArgument.